Ubuntu

If xfce4-terminal is installed terminal.app does not install properly

Reported by runokiab on 2006-09-10
14
Affects Status Importance Assigned to Milestone
terminal (Ubuntu)
Undecided
Unassigned
terminal.app (Ubuntu)
Undecided
Unassigned
xfce4-terminal (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xfce4-terminal

If xfce4-terminal is installed terminal.app does not install properly, because both packages are using /usr/bin/Terminal. Don't know if this is a bug in terminal.app or xfce4-terminal.
sudo aptitude install terminal.app
Reading package lists... Done
Building dependency tree... Done
Reading extended state information
Initializing package states... Done
Building tag database... Done
The following NEW packages will be installed:
  terminal.app
0 packages upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/108kB of archives. After unpacking 504kB will be used.
Writing extended state information... Done
(Reading database ... 95534 files and directories currently installed.)
Unpacking terminal.app (from .../terminal.app_0.9.4+cvs20051125-1.1_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/terminal.app_0.9.4+cvs20051125-1.1_i386.deb (--unpack):
 trying to overwrite `/usr/bin/Terminal', which is also in package xfce4-terminal
Errors were encountered while processing:
 /var/cache/apt/archives/terminal.app_0.9.4+cvs20051125-1.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
dpkg: dependency problems prevent configuration of gnustep:
 gnustep depends on terminal.app; however:
  Package terminal.app is not installed.
dpkg: error processing gnustep (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 gnustep

Gauvain Pocentek (gpocentek) wrote :

This has already been reported and discussed in bug #42740.

Changed in xfce4-terminal:
status: Unconfirmed → Rejected
pirast (pirast) wrote :

Rejecting terminal task since it is not available in Edgy anymore.

Changed in terminal:
status: Unconfirmed → Rejected
Lionel Le Folgoc (mrpouit) wrote :

Hi,

This is fixed in edgy and feisty. In gutsy, xfce4-terminal doesn't ship /usr/bin/Terminal anymore (renamed to /usr/bin/xfce4-terminal), so this is not necessary to keep the conflict between these two packges.
Thanks.

Changed in terminal.app:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers